package textures.player;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class PlayerMineTextures {
	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.basePlayerPickaxeSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.basePlayerPickaxeSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.basePlayerPickaxeSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.basePlayerPickaxeSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.basePlayerPickaxeSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.basePlayerPickaxeSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.basePlayerPickaxeSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.basePlayerPickaxeSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.basePlayerPickaxeSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.basePlayerPickaxeSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.basePlayerPickaxeSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.basePlayerPickaxeSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.basePlayerPickaxeSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.basePlayerPickaxeSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.basePlayerPickaxeSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.basePlayerPickaxeSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.basePlayerPickaxeSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.basePlayerPickaxeSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.basePlayerPickaxeSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.basePlayerPickaxeSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.basePlayerPickaxeSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.basePlayerPickaxeSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.basePlayerPickaxeSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.basePlayerPickaxeSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.basePlayerPickaxeSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.basePlayerPickaxeSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.basePlayerPickaxeSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.basePlayerPickaxeSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.basePlayerPickaxeSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.basePlayerPickaxeSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.basePlayerPickaxeSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.basePlayerPickaxeSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
